<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: TrapTrigger Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d01/class_trap_trigger.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">TrapTrigger Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../d1/d4b/class_trigger.html" title="Scripted Trigger.">Trigger</a> used by traps.  
 <a href="../../dd/d01/class_trap_trigger.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TrapTrigger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d01/class_trap_trigger.png" usemap="#TrapTrigger_map" alt=""/>
  <map id="TrapTrigger_map" name="TrapTrigger_map">
<area href="../../d1/d4b/class_trigger.html" title="Scripted Trigger." alt="Trigger" shape="rect" coords="0,0,79,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac3a2b22839a818e941e18efe308d937d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d01/class_trap_trigger.html#ac3a2b22839a818e941e18efe308d937d">SetParentObject</a> (<a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a> obj)</td></tr>
<tr class="separator:ac3a2b22839a818e941e18efe308d937d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c8a7f01eb6c1c9b903116411f2c9b4"><td class="memItemLeft" align="right" valign="top">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d01/class_trap_trigger.html#ac3c8a7f01eb6c1c9b903116411f2c9b4">CanAddObjectAsInsider</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:ac3c8a7f01eb6c1c9b903116411f2c9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e0fa2f931b2966e4593a77f6ed2ce98"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d01/class_trap_trigger.html#a4e0fa2f931b2966e4593a77f6ed2ce98">OnEnterServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:a4e0fa2f931b2966e4593a77f6ed2ce98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19f0ca35d0bdc535ac0041e6e31c1a6e"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d01/class_trap_trigger.html#a19f0ca35d0bdc535ac0041e6e31c1a6e">OnLeaveServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:a19f0ca35d0bdc535ac0041e6e31c1a6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a104e0a40a164ea41c4d06a6c9b633fae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d01/class_trap_trigger.html#a104e0a40a164ea41c4d06a6c9b633fae">m_ParentObj</a></td></tr>
<tr class="separator:a104e0a40a164ea41c4d06a6c9b633fae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d1/d4b/class_trigger.html" title="Scripted Trigger.">Trigger</a> used by traps. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00002">2</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac3c8a7f01eb6c1c9b903116411f2c9b4" name="ac3c8a7f01eb6c1c9b903116411f2c9b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3c8a7f01eb6c1c9b903116411f2c9b4">&#9670;&#160;</a></span>CanAddObjectAsInsider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected <a class="el" href="../../d9/db9/classbool.html">bool</a> TrapTrigger::CanAddObjectAsInsider </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00018">18</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<a id="a4e0fa2f931b2966e4593a77f6ed2ce98" name="a4e0fa2f931b2966e4593a77f6ed2ce98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e0fa2f931b2966e4593a77f6ed2ce98">&#9670;&#160;</a></span>OnEnterServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void TrapTrigger::OnEnterServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00023">23</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<a id="a19f0ca35d0bdc535ac0041e6e31c1a6e" name="a19f0ca35d0bdc535ac0041e6e31c1a6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19f0ca35d0bdc535ac0041e6e31c1a6e">&#9670;&#160;</a></span>OnLeaveServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void TrapTrigger::OnLeaveServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00035">35</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<a id="ac3a2b22839a818e941e18efe308d937d" name="ac3a2b22839a818e941e18efe308d937d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3a2b22839a818e941e18efe308d937d">&#9670;&#160;</a></span>SetParentObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TrapTrigger::SetParentObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a>&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00010">10</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a104e0a40a164ea41c4d06a6c9b633fae" name="a104e0a40a164ea41c4d06a6c9b633fae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a104e0a40a164ea41c4d06a6c9b633fae">&#9670;&#160;</a></span>m_ParentObj</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/dec/class_trap_base.html">TrapBase</a> TrapTrigger::m_ParentObj</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html#l00004">4</a> of file <a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ScriptedEntities/Triggers/<a class="el" href="../../d6/d8c/_trap_trigger_8c_source.html">TrapTrigger.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d01/class_trap_trigger.html">TrapTrigger</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
